View Issue Details

IDProjectCategoryView StatusLast Update
0022673mantisbtattachmentspublic2017-04-30 14:48
ReportercproensaAssigned Tocproensa 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version2.0.0 
Target Version2.4.0Fixed in Version2.4.0 
Summary0022673: Dropzone uploads files when submitting other forms
Description

For example, in bug view page:

  • select a file in the dropzone widget, as part of the "add note" section
  • click on a submit button, for example "add user to monitoring list"
  • The file is uploaded and attached to issue
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

MantisBT: master 4f38c830

2017-04-05 20:21:12

cproensa


Committer: vboctor Details Diff
Rewrite dropzone initialization

Some changes has been done to Dropzone initialization:
- Container form now does not need any special class.
- Dropzone specific data attributes are now placed in the Dropzone div
element, which is indicated as "dropzone" class.
- Auto upload feature is now enabled by adding the additional
"auto-dropzone" class to current "dropzone" div.

Dropzone initialization searchs for elements with class "dropzone", then
searchs for the container form and uses it as parameter for the object,
and register event listeners.

Fixes: 0022140, 0022673
mod - bug_report_page.php Diff File
mod - bugnote_add_inc.php Diff File
mod - js/common.js Diff File

Issue History

Date Modified Username Field Change
2017-04-05 18:28 cproensa New Issue
2017-04-05 18:29 cproensa Assigned To => cproensa
2017-04-05 18:29 cproensa Status new => assigned
2017-04-25 22:55 vboctor Changeset attached => MantisBT master 4f38c830
2017-04-25 22:55 cproensa Status assigned => resolved
2017-04-25 22:55 cproensa Resolution open => fixed
2017-04-25 22:55 cproensa Fixed in Version => 2.4.0
2017-04-26 02:17 atrol Target Version => 2.4.0
2017-04-30 14:48 vboctor Status resolved => closed